import java.io.*;
import javax.swing.*;

public class SCO11H
{
    public static void main(String args[]) throws IOException
    {
    //String in_name=JOptionPane.showInputDialog(" veri dosyasının isminigiriniz : ");
    String in_name="R134a_S_TPln.txt";
    double a[];
    a=new double[9];
    a[0] = 4.069889E+01; 
    a[1] = -2.362540E+03; 
    a[2]=0;
    a[3] = -1.306883E+01; 
    a[4] = 7.616005E-03;
    a[5]=0;
    a[6]=0;
    a[7] = 2.342564E-01;
    a[8] = 3.761111E+02;   
    double da[];
    da=new double[9];
    da[0] =1.656333;
    da[1] =24.80583;
    da[2] =1.0;
    da[3] =8.868380;
    da[4] =4.617861;
    da[5] =1.0;
    da[6]=1.0;
    da[7]=1.0;
    da[8]=1.0;   
    yy f=new yy(in_name,a);
    int i=0;
    for(double t=-100;t<101;t+=1)
    {System.out.println("t="+t+"ti="+f.xi[i]+"Pi="+f.yi[i]+"P="+f.Ps(t,a));i++;};  
    System.out.println("f giriş = "+f.func(a));
    double p[]=opt.nelder(f,a,da,1000,1e-20,1);
    String s1=" optimizasyon değeri  : \n"+Matrix.toStringT(p)+"\n";
    s1+="orijinal fonksiyon değeri = "+f.func(a)+"\n";
    s1+="fonksiyon değeri = "+f.func(p);
    String s2="Nelder-Mead en küçük kareler lineer olmiyan eğri uydurma : ";
    JOptionPane.showMessageDialog(null,s1,s2,JOptionPane.PLAIN_MESSAGE);
    }

}
